package archiver

import "log"
import "time"
import "os"
import "fmt"
import "net/url"
import "ma/mqtt"
import "ma/config"
import "ma/counter"
import "ma/database"


func InitArchiver() {
  log.Printf("Archiver initializing")
}

func InputArchiver() {
  for {
    select {
    case mqttMessage := <- mqtt.InputChannel:
      message := database.Message { time.Now(), mqttMessage.Topic, string(mqttMessage.Payload) }
      archiverChannel <- message
      handleMessage(message)
    }
  }
}

func handleMessage(message database.MessageT) {
  log.Printf("Archiving %", message)
  counter.S("Stored")
}

